  apiVersion: v1
  kind: Pod
  metadata:
    name: test-azurefile-pod
    namespace: default
  spec:
    containers:
      - name: test-container
        image: registry.access.redhat.com/ubi8/ubi-minimal:latest
        command: ["sleep", "3600"]
        volumeMounts:
          - name: test-volume
            mountPath: /data
    volumes:
      - name: test-volume
        persistentVolumeClaim:
          claimName: test-azurefile-pvc
